---
title: "arc"
excerpt: "Draw a curved line segment along an imaginary circle."
layout: manual
---

Draw a curved line segment along an imaginary circle.

The arc is constructed such that the current position of the sketch is placed along an imaginary circle of the specified radius, at angleStart degrees. The resulting arc is the segment of the imaginary circle from that origin point to angleEnd, radius away from the center of the imaginary circle.

Unless this makes a lot of sense and feels like what you're looking for to construct your shape, you're likely looking for tangentialArc.

```js
arc(data: ArcData, sketch: Sketch, tag?: TagDeclarator) -> Sketch
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `data` | [`ArcData`](/docs/kcl/types/ArcData) | Data to draw an arc. | Yes |
| `sketch` | [`Sketch`](/docs/kcl/types/Sketch) | A sketch is a collection of paths. | Yes |
| `tag` | [`TagDeclarator`](/docs/kcl/types#tag-declaration) |  | No |

### Returns

[`Sketch`](/docs/kcl/types/Sketch) - A sketch is a collection of paths.


### Examples

```js
exampleSketch = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> line(end = [10, 0])
  |> arc({
       angleStart = 0,
       angleEnd = 280,
       radius = 16
     }, %)
  |> close()
example = extrude(exampleSketch, length = 10)
```

![Rendered example of arc 0](data:image/png;base64,[encoded data, 70552 characters])


